Bug 23566 - Continue on device - with QR codes
Summary: Continue on device - with QR codes
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-07 02:11 UTC by Christopher Brannon
Modified: 2019-10-01 13:42 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23566: Continue on device - with QR codes (53.66 KB, patch)
2019-09-25 17:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23566: Continue on device - with QR codes (53.61 KB, patch)
2019-09-25 18:57 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 23566: Continue on device - with QR codes (53.70 KB, patch)
2019-09-30 14:46 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2019-09-07 02:11:52 UTC
Suppose a patron is using the OPAC, and pulls up a record for a book.  Perhaps they want to look for the book, and they grab a piece of scratch paper and jot down the Call Number.  Then they go looking for the book.  Only they wrote down the Call Number for a different library, or didn't notice it was checked out, or they wrote the number down wrong.  Now they have to start all over.

Now imagine over on the right side of the record under the "Place a hold" link, there is a new link that says "Continue on your device" or something like that.  They click the link, and a modal pops up with a QR code to this same page.  They point their camera at it and their device goes to that same record, and they continue to the book.  If they find they have made a mistake, they can refer to the information in their hand, refine their search, or whatever, without having to go back to an OPAC and start over.
Comment 1 Christopher Brannon 2019-09-21 19:43:07 UTC
Maybe incorporate this barcode generator?

http://barcode4j.sourceforge.net/
Comment 2 Owen Leonard 2019-09-25 17:54:13 UTC Comment hidden (obsolete)
Comment 3 sandboxes@biblibre.com 2019-09-25 18:57:15 UTC
Patch tested with a sandbox, by Christopher Brannon <cbrannon@cdalibrary.org>
Comment 4 sandboxes@biblibre.com 2019-09-25 18:57:40 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2019-09-30 14:46:02 UTC
Created attachment 93324 [details] [review]
Bug 23566: Continue on device - with QR codes

This patch adds the option to show a QR code on the OPAC bibliographic
detail page. The URL of the page is encoded in the image so that
scanning it will take the user to that page on their device. The feature
is controlled by a new system preference, OPACDetailQRCode, which is
disabled by default.

The QR Code is generated by a JavaScript library, "kjua"
(https://github.com/lrsjng/kjua), which has been added to the "About"
page in the staff client.

To test, apply the patch and run the database update. Rebuild the OPAC
CSS (https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - In the staff client, go to Administration -> System preferences.
 - Locate the OPACDetailQRCode system preferences under OPAC ->
   Features. It should be disabled.
   - Enable the preference and switch to the OPAC.
 - Locate a title in the catalog and view the detail page.
   - In the sidebar menu there should be a "Send to device" link.
   - Clicking the link should display a QR Code.
   - Scan the code using a QR Code-capable device.
   - The URL should be correct.
 - Disable the system preference and confirm that the "Send to device"
   link no longer appears on the OPAC detail page.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 6 Martin Renvoize 2019-10-01 13:42:54 UTC
Nice work!

Pushed to master for 19.11.00